# Uses of Interface
org.opensaml.saml.ext.idpdisco.DiscoveryResponse

Packages that use DiscoveryResponse
Package
Description
org.opensaml.saml.ext.idpdisco.impl
Implementation for SAML v2.0 Identity Provider Discovery Profile.

## Uses of DiscoveryResponse in org.opensaml.saml.ext.idpdisco.impl

Classes in org.opensaml.saml.ext.idpdisco.impl that implement DiscoveryResponse
Modifier and Type
Class
Description
`class`
`DiscoveryResponseImpl`
Implementation of `DiscoveryResponse`.
Methods in org.opensaml.saml.ext.idpdisco.impl that return DiscoveryResponse
Modifier and Type
Method
Description
`DiscoveryResponse`
DiscoveryResponseBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`DiscoveryResponse`
DiscoveryResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.